<?php
/**
 * @package         ReReplacer
 * @version         10.0.0PRO
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://www.regularlabs.com
 * @copyright       Copyright © 2021 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Plugin\System\ReReplacer;

defined('_JEXEC') or die;

use RegularLabs\Library\Protect as RL_Protect;
use RegularLabs\Library\RegEx as RL_RegEx;

class Clean
{
	public static function cleanString(&$string)
	{
		$string = str_replace(['[:space:]', '\[\:space\:\]', '[[space]]', '\[\[space\]\]'], ' ', $string);
		$string = str_replace(['[:comma:]', '\[\:comma\:\]', '[[comma]]', '\[\[comma\]\]'], ',', $string);
		$string = str_replace(['[:newline:]', '\[\:newline\:\]', '[[newline]]', '\[\[newline\]\]'], "\n", $string);
		$string = str_replace('[:REGEX_ENTER:]', '\\n', $string);
	}

	public static function cleanStringReplace(&$string, $is_regex = true)
	{
		if ( ! $is_regex)
		{
			$string = str_replace(['\\', '\\\\#', '$'], ['\\\\', '\\#', '\\$'], $string);
		}

		self::cleanString($string);
	}
}
