<?php
/**
 * @package         ReReplacer
 * @version         10.0.0PRO
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://www.regularlabs.com
 * @copyright       Copyright © 2021 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Plugin\System\ReReplacer;

defined('_JEXEC') or die;


use RegularLabs\Library\Conditions as RL_Conditions;
use RegularLabs\Library\RegEx as RL_RegEx;

class Conditions
{
	public static function itemPass($item, $article = null)
	{
		$Conditions = RL_Conditions::getConditionsFromParams($item);
		$pass       = RL_Conditions::pass($Conditions, $item->match_method, $article);

		if ( ! $pass && $item->other_doreplace)
		{
			$item->replace = $item->other_replace;
			// replace \n with newline
			$item->replace = RL_RegEx::replace('(?<!\\\)\\\n', "\n", $item->other_replace);

			$pass = true;
		}

		return $pass ? $item : false;
	}
}
